<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.vetti.hotake.mapper.HotakeComplianceInfoMapper">
    
    <resultMap type="HotakeComplianceInfo" id="HotakeComplianceInfoResult">
        <result property="id"    column="id"    />
        <result property="userId"    column="user_id"    />
        <result property="fileName"    column="file_name"    />
        <result property="fileType"    column="file_type"    />
        <result property="fileUrl"    column="file_url"    />
        <result property="fileSuffix"    column="file_suffix"    />
        <result property="fileSizeShow"    column="file_size_show"    />
        <result property="status"    column="status"    />
        <result property="dataType" column="data_type" />
        <result property="delFlag"    column="del_flag"    />
        <result property="createBy"    column="create_by"    />
        <result property="createTime"    column="create_time"    />
        <result property="updateBy"    column="update_by"    />
        <result property="updateTime"    column="update_time"    />
        <result property="remark"    column="remark"    />
    </resultMap>

    <sql id="selectHotakeComplianceInfoVo">
        select id, user_id, file_name, file_type, file_url, file_suffix, file_size_show, status,data_type, del_flag, create_by, create_time, update_by, update_time, remark from hotake_compliance_info
    </sql>

    <select id="selectHotakeComplianceInfoList" parameterType="HotakeComplianceInfo" resultMap="HotakeComplianceInfoResult">
        <include refid="selectHotakeComplianceInfoVo"/>
        <where>  
            <if test="userId != null "> and user_id = #{userId}</if>
            <if test="fileName != null  and fileName != ''"> and file_name like concat('%', #{fileName}, '%')</if>
            <if test="fileType != null  and fileType != ''"> and file_type = #{fileType}</if>
            <if test="fileUrl != null  and fileUrl != ''"> and file_url = #{fileUrl}</if>
            <if test="fileSuffix != null  and fileSuffix != ''"> and file_suffix = #{fileSuffix}</if>
            <if test="fileSizeShow != null  and fileSizeShow != ''"> and file_size_show = #{fileSizeShow}</if>
            <if test="status != null  and status != ''"> and status = #{status}</if>
            <if test="dataType != null  and dataType != ''"> and data_type = #{dataType}</if>
        </where>
    </select>
    
    <select id="selectHotakeComplianceInfoById" parameterType="Long" resultMap="HotakeComplianceInfoResult">
        <include refid="selectHotakeComplianceInfoVo"/>
        where id = #{id}
    </select>
        
    <insert id="insertHotakeComplianceInfo" parameterType="HotakeComplianceInfo" useGeneratedKeys="true" keyProperty="id">
        insert into hotake_compliance_info
        <trim prefix="(" suffix=")" suffixOverrides=",">
            <if test="userId != null">user_id,</if>
            <if test="fileName != null">file_name,</if>
            <if test="fileType != null">file_type,</if>
            <if test="fileUrl != null">file_url,</if>
            <if test="fileSuffix != null">file_suffix,</if>
            <if test="fileSizeShow != null">file_size_show,</if>
            <if test="status != null">status,</if>
            <if test="dataType != null">data_type,</if>
            <if test="delFlag != null">del_flag,</if>
            <if test="createBy != null">create_by,</if>
            <if test="createTime != null">create_time,</if>
            <if test="updateBy != null">update_by,</if>
            <if test="updateTime != null">update_time,</if>
            <if test="remark != null">remark,</if>
         </trim>
        <trim prefix="values (" suffix=")" suffixOverrides=",">
            <if test="userId != null">#{userId},</if>
            <if test="fileName != null">#{fileName},</if>
            <if test="fileType != null">#{fileType},</if>
            <if test="fileUrl != null">#{fileUrl},</if>
            <if test="fileSuffix != null">#{fileSuffix},</if>
            <if test="fileSizeShow != null">#{fileSizeShow},</if>
            <if test="status != null">#{status},</if>
            <if test="dataType != null">#{dataType},</if>
            <if test="delFlag != null">#{delFlag},</if>
            <if test="createBy != null">#{createBy},</if>
            <if test="createTime != null">#{createTime},</if>
            <if test="updateBy != null">#{updateBy},</if>
            <if test="updateTime != null">#{updateTime},</if>
            <if test="remark != null">#{remark},</if>
         </trim>
    </insert>

    <update id="updateHotakeComplianceInfo" parameterType="HotakeComplianceInfo">
        update hotake_compliance_info
        <trim prefix="SET" suffixOverrides=",">
            <if test="userId != null">user_id = #{userId},</if>
            <if test="fileName != null">file_name = #{fileName},</if>
            <if test="fileType != null">file_type = #{fileType},</if>
            <if test="fileUrl != null">file_url = #{fileUrl},</if>
            <if test="fileSuffix != null">file_suffix = #{fileSuffix},</if>
            <if test="fileSizeShow != null">file_size_show = #{fileSizeShow},</if>
            <if test="status != null">status = #{status},</if>
            <if test="dataType != null">data_type = #{dataType},</if>
            <if test="delFlag != null">del_flag = #{delFlag},</if>
            <if test="createBy != null">create_by = #{createBy},</if>
            <if test="createTime != null">create_time = #{createTime},</if>
            <if test="updateBy != null">update_by = #{updateBy},</if>
            <if test="updateTime != null">update_time = #{updateTime},</if>
            <if test="remark != null">remark = #{remark},</if>
        </trim>
        where id = #{id}
    </update>

    <delete id="deleteHotakeComplianceInfoById" parameterType="Long">
        delete from hotake_compliance_info where id = #{id}
    </delete>

    <delete id="deleteHotakeComplianceInfoByIds" parameterType="String">
        delete from hotake_compliance_info where id in 
        <foreach item="id" collection="array" open="(" separator="," close=")">
            #{id}
        </foreach>
    </delete>

    <insert id="batchInsertHotakeComplianceInfo">
        insert into hotake_compliance_info( id, user_id, file_name, file_type, file_url, file_suffix, file_size_show, status, del_flag, create_by, create_time, update_by, update_time, remark) values
        <foreach item="item" index="index" collection="list" separator=",">
            ( #{item.id}, #{item.userId}, #{item.fileName}, #{item.fileType}, #{item.fileUrl}, #{item.fileSuffix}, #{item.fileSizeShow}, #{item.status}, #{item.delFlag}, #{item.createBy}, #{item.createTime}, #{item.updateBy}, #{item.updateTime}, #{item.remark})
        </foreach>
    </insert>
</mapper>